/* -*- Mode: C; tab-width: 8; indent-tabs-mode: t; c-basic-offset: 8 -*- */

/* Copyright (C) 2006 Novell, Inc.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA.
 */

#include <gtk/gtktreeview.h>

#define GXGL_TYPE_KEYBINDING            (gxgl_keybinding_get_type ())
#define GXGL_KEYBINDING(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), GXGL_TYPE_KEYBINDING, GXGLKeybinding))
#define GXGL_KEYBINDING_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), GXGL_TYPE_KEYBINDING, GXGLKeybindingClass))
#define GXGL_IS_KEYBINDING(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), GXGL_TYPE_KEYBINDING))
#define GXGL_IS_KEYBINDING_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((obj), GXGL_TYPE_KEYBINDING))
#define GXGL_KEYBINDING_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), GXGL_TYPE_KEYBINDING, GXGLKeybindingClass))

typedef struct {
	GtkTreeView parent;

} GXGLKeybinding;

typedef struct {
	GtkTreeViewClass parent_class;

	/* signals */
	void (*changed) (GXGLKeybinding *auth, const char *binding);
} GXGLKeybindingClass;

GType gxgl_keybinding_get_type (void);

GtkWidget  *gxgl_keybinding_new (void);
GtkWidget  *gxgl_keybinding_new_glade (const char *, const char *, int, int);

char       *gxgl_keybinding_get (GXGLKeybinding *widget);
void        gxgl_keybinding_set (GXGLKeybinding *widget, const char *binding);
